## movmetaedit 24.06.20250926

=== debian/changelog ===
movmetaedit (24.06.20250926-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <info@mediaarea.net>  Sun, 01 Jan 2017 01:01:01 +0000
