## movmetaedit 25.09.20251101

=== debian/control ===
Source: movmetaedit
Priority: optional
Maintainer: Jerome Martinez <info@mediaarea.net>
Build-Depends: debhelper (>= 10), qtbase5-dev, qtchooser, libzen-dev, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: https://mediaarea.net

Package: movmetaedit
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: MOV MetaEdit provides:
 .
 (To be filled)

Package: movmetaedit-dbg
Section: debug
Architecture: any
Priority: extra
Depends: movmetaedit (= ${binary:Version})
Description: MOV MetaEdit provides:
 .
 (To be filled)
 .
 This package contains the debugging symbols.

Package: movmetaedit-gui
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: MOV MetaEdit provides:
 .
 (To be filled)
 .
 This package contains the graphical user interface

Package: movmetaedit-gui-dbg
Section: debug
Architecture: any
Priority: extra
Depends: movmetaedit-gui (= ${binary:Version})
Description: MOV MetaEdit provides:
 .
 (To be filled)
 .
 This package contains the debugging symbols of the graphical user interface.
