## movmetaedit 25.09.20260210

=== debian/changelog ===
movmetaedit (25.09.20260210-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <info@mediaarea.net>  Sun, 01 Jan 2017 01:01:01 +0000
